Summary:	Cryptographic library
Name:		bee2	
Version:	2.0.5
Release:	2%{?dist}
License:	GPLv3
Url:		http://apmi.bsu.by/resources/tools.html
Source0:	https://notabug.org/kashcheyeu/bee2/archive/master.zip
Patch0:		bee2-2.0.5-fhs.patch
BuildRequires:	cmake, gcc, unzip

%if "%dist.%{_arch}" == ".el6.x86_64"
BuildRequires:	devtoolset-8
%endif

%description
Bee2 is a cryptographic library which implements cryptographic algorithm
and protocols standardized in Belarus. Additionally, Bee2 implements 
digital signature algorithms standardized in Russia and Ukraine.

%package		devel
Summary:		Headers for package bee2
Requires:		%{name}%{?_isa} = %{version}-%{release}
%description	devel
Headers for package bee2.

%package		static
Summary:		Static library bee2
Requires:		%{name}-devel%{?_isa} = %{version}-%{release}
%description	static
Static library bee2.

#------------------------------------------------------------------

%prep
%autosetup -n %{name} -p 1

%build

%if "%dist.%{_arch}" == ".el6.x86_64"
. /opt/rh/devtoolset-8/enable
%endif

%if %{defined fedora}
%cmake -S %{_vpath_srcdir} -B %{_vpath_builddir}
%else
%cmake
%endif

%install

%if %{defined mageia}
cd build
%endif

%if %{defined suse_version}
cd build
%endif

%if %{defined fedora}
%make_install -C %{_vpath_builddir} test
%else
%make_install test
%endif

%check

%files

%{_bindir}/bsum
%{_libdir}/libbee2.so
%{_libdir}/libbee2_static.a

%files static

%{_libdir}/libbee2_static.a

%files devel

%{_includedir}/bee2/core/b64.h
%{_includedir}/bee2/core/blob.h
%{_includedir}/bee2/core/dec.h
%{_includedir}/bee2/core/der.h
%{_includedir}/bee2/core/err.h
%{_includedir}/bee2/core/hex.h
%{_includedir}/bee2/core/mem.h
%{_includedir}/bee2/core/mt.h
%{_includedir}/bee2/core/obj.h
%{_includedir}/bee2/core/oid.h
%{_includedir}/bee2/core/prng.h
%{_includedir}/bee2/core/rng.h
%{_includedir}/bee2/core/safe.h
%{_includedir}/bee2/core/stack.h
%{_includedir}/bee2/core/str.h
%{_includedir}/bee2/core/tm.h
%{_includedir}/bee2/core/u16.h
%{_includedir}/bee2/core/u32.h
%{_includedir}/bee2/core/u64.h
%{_includedir}/bee2/core/util.h
%{_includedir}/bee2/core/word.h
%{_includedir}/bee2/crypto/bake.h
%{_includedir}/bee2/crypto/bash.h
%{_includedir}/bee2/crypto/bels.h
%{_includedir}/bee2/crypto/belt.h
%{_includedir}/bee2/crypto/bign.h
%{_includedir}/bee2/crypto/botp.h
%{_includedir}/bee2/crypto/brng.h
%{_includedir}/bee2/crypto/dstu.h
%{_includedir}/bee2/crypto/g12s.h
%{_includedir}/bee2/crypto/pfok.h
%{_includedir}/bee2/defs.h
%{_includedir}/bee2/info.h
%{_includedir}/bee2/math/ec.h
%{_includedir}/bee2/math/ec2.h
%{_includedir}/bee2/math/ecp.h
%{_includedir}/bee2/math/gf2.h
%{_includedir}/bee2/math/gfp.h
%{_includedir}/bee2/math/pp.h
%{_includedir}/bee2/math/pri.h
%{_includedir}/bee2/math/qr.h
%{_includedir}/bee2/math/ww.h
%{_includedir}/bee2/math/zm.h
%{_includedir}/bee2/math/zz.h

%changelog
* Fri Jun 26 2020 Yury Kashcheyeu <kashcheyeu@tiksi.ru> - 2020.06.24-1
- Initial RPM release
